#ifndef __COMMON_H
#define __COMMON_H

void wait_ms(uint16_t t);
void wait_us(uint16_t t);
void on_tx_led(void);
void off_tx_led(void);
void toggle_tx_led(void);
void on_rx_led(void);
void off_rx_led(void);
void toggle_rx_led(void);
void on_gps_led(void);
void off_gps_led(void);
void toggle_gps_led(void);
void start_gps(void);
void stop_gps(void);
void reset_gps(void);
void on_hvps(void);
void off_hvps(void);
void on_alarm_led(void);
void off_alarm_led(void);
void toggle_alarm_led(void);
void on_power_led(void);
void off_power_led(void);
void toggle_power_led(void);
void init_duty(void);
void normal_duty(void);
void minimum_duty(void);
void show_op_time(void);
void reset_all_setting(void);
void check_hvps(void);
void gen_all_sec(void);
void check_turnoff(void);
void check_shuffle_time(void);
uint8_t rand_xor_shift(void);
void change_test_pattern(void);
void do_shuffle(void);
void stop_shuffle(void);
void start_loop_shuffle(void);
void stop_loop_shuffle(void);
void do_shuffle_preset(void);
void stop_shuffle_preset(void);
uint8_t get_monthend(uint8_t century, uint8_t year, uint8_t month);
uint8_t get_zeller_day(uint8_t century, uint8_t year, uint8_t month, uint8_t date);

#endif
