#ifndef __COMMAND_H
#define __COMMAND_H

void exec_command(const uint8_t *str);
void output_setting(void);

// a
#define SET_AMPM_FLAG 'A'
#define SET_SHUFFLE_CON 'b'
// B
#define SET_CENTURY 'c'
// C
#define SET_DATE 'd'
#define SET_DAY 'D'
#define SET_CFADE 'e'
// E
#define SET_SHUFFLE_TIME1 'f'
#define SET_SHUFFLE_TIME2 'F'
#define SET_GPS_LOG 'g'
#define USE_GPS 'G'
#define SET_HOUR 'h'
#define USE_LIGHT_SENSOR_HVPS 'H'
#define SET_SHUFFLE_PRESET 'i'
#define DO_SHUFFLE_PRESET 'I'
#define RESET_GPS 'j'
#define GPS_PASSTHURU 'J'
#define SET_GPS_TIMEZONE 'k'
// K
#define USE_LIGHT_SENSOR 'l'
#define SET_LIGHT_SENSOR_TH 'L'
#define SET_MIN 'm'
#define SET_MONTH 'M'
#define SET_NIXIE_PULSE 'n'
// N
#define SET_MODE 'o'
#define SHOW_OP_TIME 'O'
#define SET_DOT_PATTERN 'p'
#define SET_AMPM 'P'
#define SET_PHOTO_NUM 'q'
// Q
#define SET_TURN_OFF_START 'r'
#define SET_TURN_OFF_END 'R'
#define SET_SEC 's'
#define USE_SHUFFLE 'S'
#define SET_TEMP_TYPE 't'
#define USE_TURNOFF 'T'
#define SET_PRES_TYPE 'u'
// U
#define SET_HVPS 'v'
// V
#define READ_SERIAL_NO 'w'
#define WRITE_SERIAL_NO 'W'
#define USE_CFADE 'x'
#define INITIALIZE 'X'
#define SET_YEAR 'y'
// Y
#define DO_SHUFFLE 'z'
#define READ_SETTING 'Z'

#endif
