#ifndef __EXTERN_H
#define __EXTERN_H

#include "config.h"
#include "eeprom.h"
#include "uart.h"

extern uint8_t global_digit;
extern uint8_t global_duty;
extern CONFIG_DATA global_config_eep_map __attribute__((section(".eeprom")));;
extern CONFIG_DATA global_config_data;
extern uint8_t global_digit_duty[DIGIT_NUM];
extern uint8_t global_digit_num[DIGIT_NUM];
extern uint8_t global_digit_L_dot_pwm[DIGIT_NUM];
extern uint8_t global_digit_R_dot_pwm[DIGIT_NUM];
extern uint8_t global_rtc_hour, global_rtc_min, global_rtc_sec;
extern uint8_t global_rtc_year, global_rtc_month, global_rtc_date, global_rtc_day;
extern uint16_t global_light_sensor;
extern uint32_t global_gps_count;
extern GPSTIME global_gpstime;
extern double global_pressure;
extern double global_temperature;
extern uint32_t global_now_all_sec;
extern uint32_t global_shuffle_all_sec[2];
extern uint32_t global_turnoff_all_sec[2];
extern uint16_t global_xfade_count;
extern uint16_t global_xfade_div_temp;
extern uint16_t global_xfade_edge;
extern uint16_t global_xfade_term[XFADE_NUM];
extern uint8_t global_photo_mode_pos;
extern uint8_t global_config_mode;
extern uint8_t global_time_config_mode;
extern uint8_t global_date_config_mode;
extern uint8_t global_photo_config_mode;
extern uint8_t global_temp_digit[DIGIT_NUM];
extern uint8_t global_temp_L_dot[DIGIT_NUM];
extern uint8_t global_temp_R_dot[DIGIT_NUM];
extern uint8_t global_pwm_direction;
extern uint8_t global_do_shuffle;
extern uint8_t global_shuffle_continue;
extern uint8_t global_shuffle_preset;
extern uint8_t global_temp_shuffle_digit[DIGIT_NUM];
extern uint8_t global_hvps_status;
extern uint8_t global_temp_turnon;
extern const uint8_t global_xor_shift_const[24][3];
extern uint8_t global_test_pattern;
extern uint8_t global_test_pattern_num;
extern uint8_t global_test_pattern_dot;
#endif
