#include <avr/io.h>

#include "config.h"
#include "DS3234S.h"
#include "extern.h"
#include "xfade.h"

// do cross fade
// global_xfade_count[num] is timing count for all the digits.
// num is current time number.
void do_xfade(uint8_t num){
	static uint8_t i;
	
	// global_digit_num[0] && 24hr mode([0-1]9:59:59)
	if(!(global_rtc_hour & RTC_AMPM_FLAG) && global_digit == 0 && global_digit_num[0] <= 1 && global_digit_num[1] == 9 && global_digit_num[3] == 5 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				num++;;
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				num ++;
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				num ++;
			}
		}else{
			num++;
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[0] && 24hr mode([2]3:59:59)
	}else if(!(global_rtc_hour & RTC_AMPM_FLAG) && global_digit == 0 && global_digit_num[0] == 2 && global_digit_num[1] == 3 && global_digit_num[3] == 5 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				num = 0;
			}
		}else{
			num = 0;
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[0] && am/pm mode([0]9:59:59 am/pm)
	}else if((global_rtc_hour & RTC_AMPM_FLAG) && global_digit == 0 && global_digit_num[0] == 0 && global_digit_num[1] == 9 && global_digit_num[3] == 5 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				num = 1;
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				num = 1;
			}
		}else{
			num = 1;
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[0] && am/pm mode([1]2:59:59 am/pm)
	}else if((global_rtc_hour & RTC_AMPM_FLAG) && global_digit == 0 && global_digit_num[0] == 1 && global_digit_num[1] == 2 && global_digit_num[3] == 5 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				num = 0;
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				num = 0;
			}
		}else{
			num = 0;
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[1] && 24hr mode([0-1][0-1]:59:59)
	}else if(!(global_rtc_hour & RTC_AMPM_FLAG) && global_digit == 1 && global_digit_num[0] != 2 && global_digit_num[3] == 5 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else{
			if(num != 9){
				num++;
			}else{
				num = 0;
			}
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[1] && 24hr mode(2[0-3]:59:59)
	}else if(!(global_rtc_hour & RTC_AMPM_FLAG) && global_digit == 1 && global_digit_num[0] == 2 && global_digit_num[3] == 5 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				if(num != 3){
					num++;
				}else{
					num = 0;
				}
			}
		}else{
			if(num != 3){
				num++;
			}else{
				num = 0;
			}
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[1] && am/pm mode(0[0-9]:59:59)
	}else if((global_rtc_hour & RTC_AMPM_FLAG) && global_digit == 1 && global_digit_num[0] == 0 && global_digit_num[3] == 5 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else{
			if(num != 9){
				num++;
			}else{
				num = 0;
			}
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[1] && am/pm mode(1[0-2]:59:59)
	}else if((global_rtc_hour & RTC_AMPM_FLAG) && global_digit == 1 && global_digit_num[0] == 1 && global_digit_num[3] == 5 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				if(num != 2){
					num++;
				}else{
					num = 0;
				}
			}
		}else{
			if(num != 2){
				num++;
			}else{
				num = 0;
			}
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[3] && (XX:[0-5]9:59)
	}else if(global_digit == 3 && global_digit_num[4] == 9 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else{
			if(num != 5){
				num++;
			}else{
				num = 0;
			}
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[4] && (XX:X[0-9]:59)
	}else if(global_digit == 4 && global_digit_num[6] == 5 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else{
			if(num != 9){
				num++;
			}else{
				num = 0;
			}
		}
		NIXIE_CATHODE_NUM_PORT = num;
	// global_digit_num[6] && (XX:XX:[0-5]9)
	}else if(global_digit == 6 && global_digit_num[7] == 9){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				if(num != 5){
					num++;
				}else{
					num = 0;
				}
			}
		}else{
			if(num != 5){
				num++;
			}else{
				num = 0;
			}
		}
		NIXIE_CATHODE_NUM_PORT = num;
	}else if(global_digit == 7){
		if(global_xfade_count < global_xfade_edge){
		}else if(global_xfade_count < global_xfade_term[0]){
			if(XFADE_PATTERN_0 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[1]){
			if(XFADE_PATTERN_1 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[2]){
			if(XFADE_PATTERN_2 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[3]){
			if(XFADE_PATTERN_3 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[4]){
			if(XFADE_PATTERN_4 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[5]){
			if(XFADE_PATTERN_5 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[6]){
			if(XFADE_PATTERN_6 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[7]){
			if(XFADE_PATTERN_7 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[8]){
			if(XFADE_PATTERN_8 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[9]){
			if(XFADE_PATTERN_9 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[10]){
			if(XFADE_PATTERN_10 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[11]){
			if(XFADE_PATTERN_11 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[12]){
			if(XFADE_PATTERN_12 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[13]){
			if(XFADE_PATTERN_13 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[14]){
			if(XFADE_PATTERN_14 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else if(global_xfade_count < global_xfade_term[15]){
			if(XFADE_PATTERN_15 & _BV(i)){
				if(num != 9){
					num++;
				}else{
					num = 0;
				}
			}
		}else{
			if(num != 9){
				num++;
			}else{
				num = 0;
			}
		}
		global_xfade_count++;
		NIXIE_CATHODE_NUM_PORT = num;
	}else{
		NIXIE_CATHODE_NUM_PORT = num;
	}

	i++;
	if(i == XFADE_NUM){i = 0;}
}
